Return the key for the current element

- « CachingIterator::hasNext

- CachingIterator::next »

- PHP Manual
- CachingIterator
- Return the key for the current element

# CachingIterator::key

(PHP 5, PHP 7, PHP 8)

CachingIterator::key — Return the key for the current element

### Description

public CachingIterator::key(): scalar
Warning

This function is currently not documented; only its argument list is available.

This method may return a key for the current element.

### Parameters

This function has no parameters.